$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-73d23eb6e6b154220ec009b22ca52742e4b925ad/rpcs3-v0.0.12-10817-73d23eb6_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '57850b748a2423f6177779e9af4a5dbbccee2cd151b632f6db888b1b697ec0ec'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
